<!DOCTYPE html>
<!--<html lang="en">-->
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3">
<ol class="breadcrumb" th:fragment="breadcrumb">
    <li class="active"><i class="fa fa-money"></i>[[#{page.title.trx.company.payroll}]]</li>
</ol>
<div  th:fragment="content">
    <div class="row">
        <div class="col-lg-12">
            <section class="panel">
                <div class="panel-body">
                    <div class="adv-table editable-table ">
                        <br/>
                        <form class="form-inline" th:action="@{/admin/transaction/search}">
                            <div class="form-group">
                                <label >[[#{label.periode.month}]] : </label>
                                <div class="input-group date">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                    <select class="form-control">
                                        <option th:value="1">Januari</option>
                                        <option th:value="2">Febuari</option>
                                        <option th:value="3">Maret</option>
                                        <option th:value="4">April</option>
                                        <option th:value="5">Mei</option>
                                        <option th:value="6">Juni</option>
                                        <option th:value="7">Juli</option>
                                        <option th:value="8">Agustus</option>
                                        <option th:value="9">September</option>
                                        <option th:value="10">Oktober</option>
                                        <option th:value="11">November</option>
                                        <option th:value="12">Desember</option>
                                    </select>
                                </div>

                            </div>
                            <div class="form-group">
                                <label>[[#{label.periode.year}]] : </label>
                                <div class="input-group date">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                    <input type="text" class="form-control" id="datepicker" style="width:100px">
                                </div>
                            </div>
                            <div class="form-group">
                                <label>[[#{label.company.name}]]</label>
                                <input type="text" class="form-control">

                            </div>
                            <button type="submit" class="btn btn-primary"><i class="fa fa-search"></i>[[#{button.search}]]</button>
                        </form>
                        <div class="clearfix">
                            <a th:href="@{/admin/transaction/add}" d="editable-sample_new" class="btn btn-info">
                                <i class="fa fa-plus"></i>&nbsp;&nbsp;[[#{label.add}]]
                            </a>
                        </div>
                        <div class="space15"></div>
                        <table id="table" class="table table-striped table-hover table-bordered">
                            <thead>
                            <tr>
                                <th>[[#{label.no.}]]</th>
                                <th>[[#{label.company.name}]]</th>
                                <th>[[#{label.created.date}]]</th>
                                <th>[[#{label.checked.date}]]</th>
                                <th>[[#{label.status}]]</th>
                                <th>[[#{label.action}]]</th>
                            </tr>
                            </thead>
                        </table>
                    </div>
                </div>
            </section>
        </div>
    </div>
</div>

<div th:fragment="css" th:remove="tag">
    <link rel="stylesheet" th:href="@{/css/datatables.bootstrap.css}"/>
    <!-- bootstrap datepicker -->
    <link rel="stylesheet" th:href="@{/css/datepicker3.css}">
</div>
<div th:fragment="js" th:remove="tag">
    <script th:src="@{/js/jquery.datatables.js}"></script>
    <script th:src="@{/js/datatables.bootstrap.js}"></script>
    <!-- jQuery 2.2.3 -->
    <script th:src="@{/js/jquery-2.2.3.min.js}"></script>
    <!-- Bootstrap 3.3.6 -->
    <script th:src="@{/js/bootstrap.min.js}"></script>
    <!--Toggle Function-->
    <script th:src="@{/js/toogle-function.js}"></script>
    <!-- DataTables -->
    <script th:src="@{/js/jquery.dataTables.min.js}"></script>
    <script th:src="@{/js/dataTables.bootstrap.min.js}"></script>
    <!-- bootstrap datepicker -->
    <script th:src="@{/js/bootstrap-datepicker.js}"></script>
    <script type="text/javascript" th:inline="javascript">
        /*<![CDATA[*/
        $(document).ready(function() {
            var csrf=/*[[${_csrf.token}]]*/'';
            var table=$('#table');

            var dataTable=table.DataTable({
                ajax:{
                    data:function(d){
                        d._csrf=csrf;
                        <!--d.companyName=table.data('companyName')-->
                    },
                    type:'POST',
                    url:/*[[@{/admin/transaction/search}]]*/''
                },
                columnDefs: [
                    { targets: [0, 4], orderable: false, className:'text-center'},
                    { targets: [1, 2, 3], className:'text-left'}
                ],
                language:{
                    url:/*[[@{/js/i18n/datatables.{lang}.json/(lang=${lang})}]]*/''
                },
                processing:true,
                serverSide:true
            });
            dataTable.on('error.dt',function(e,settings,techNote,message){
                var swalTitle=/*[[#{swal.error.title}]]*/'';
                var swalMessage=/*[[#{swal.error.connection}]]*/'';
                swal(swalTitle,swalMessage,'error');
            });

            <!--$('#searchBtn').click(function(){-->
                <!--table.data('companyName', $('#companyName').val());-->
                <!--dataTable.ajax.reload();-->
            <!--});-->
        });

        //Date picker
            $('#datepicker').datepicker({
                autoclose: true,
                format: "yyyy",
                viewMode: "years",
                minViewMode: "years"
            });
/*]]>*/
</script>
</div>

</html>
